Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ClassPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.ClassPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class ClassPropertyHolder

extends AbstractPropertyHolder

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`ClassPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.annotations.common.reflection.XClass clazzToProcess, EntityBinder entityBinder, ExtendedMappings mappings)`
`ClassPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.annotations.common.reflection.XClass clazzToProcess, Map<String,org.hibernate.mapping.Join> joins, ExtendedMappings mappings)`

Method Summary
`org.hibernate.mapping.Join` | `addJoin(javax.persistence.JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(org.hibernate.mapping.Property prop)`
`void` | `addProperty(org.hibernate.mapping.Property prop, Ejb3Column[] columns)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`org.hibernate.mapping.KeyValue` | `getIdentifier()`
`org.hibernate.mapping.PersistentClass` | `getPersistentClass()`
`org.hibernate.mapping.Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getOverriddenColumn, getOverriddenJoinColumn, getPath, setCurrentProperty, setParentProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPropertyHolder

    public ClassPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass,
                               org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                               Map<String,org.hibernate.mapping.Join> joins,
                               ExtendedMappings mappings)

### ClassPropertyHolder

    public ClassPropertyHolder(org.hibernate.mapping.PersistentClass persistentClass,
                               org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                               EntityBinder entityBinder,
                               ExtendedMappings mappings)

Method Detail

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop,
                            Ejb3Column[] columns)

### addJoin

    public org.hibernate.mapping.Join addJoin(javax.persistence.JoinTable joinTableAnn,
                                              boolean noDelayInPkColumnCreation)

### addProperty

    public void addProperty(org.hibernate.mapping.Property prop)

### getClassName

    public String getClassName()

### getEntityOwnerClassName

    public String getEntityOwnerClassName()

### getTable

    public org.hibernate.mapping.Table getTable()

### isComponent

    public boolean isComponent()

### isEntity

    public boolean isEntity()

### getPersistentClass

    public org.hibernate.mapping.PersistentClass getPersistentClass()

### getIdentifier

    public org.hibernate.mapping.KeyValue getIdentifier()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD